SpecificAcidNames
Date: 2014-08-08

melting.sequences

## Enum SpecificAcidNames

- java.lang.Object
- - java.lang.Enum<SpecificAcidNames>
  - - melting.sequences.SpecificAcidNames

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SpecificAcidNames>

      public enum SpecificAcidNames
      extends java.lang.Enum<SpecificAcidNames>

  This enum represents the name of the specific or modified nucleic acid, which can be inosine, locked nucleic acid, hydroxyadenine and azobenzene

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `azobenzene`
    `hydroxyadenine`
    `inosine`
    `lockedNucleicAcid`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SpecificAcidNames` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SpecificAcidNames[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### inosine

          public static final SpecificAcidNames inosine

    - #### lockedNucleicAcid

          public static final SpecificAcidNames lockedNucleicAcid

    - #### hydroxyadenine

          public static final SpecificAcidNames hydroxyadenine

    - #### azobenzene

          public static final SpecificAcidNames azobenzene

  - ### Method Detail

    - #### values

          public static SpecificAcidNames[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SpecificAcidNames c : SpecificAcidNames.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SpecificAcidNames valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null